<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <Import Project="$(SolutionDir)..\BuildConfig.proj" />
  <Import Project="$(SolutionDir)..\BuildConfig.user.proj" Condition="Exists('$(SolutionDir)..\BuildConfig.user.proj')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{9B37998A-2269-4440-971E-E306E6F5C8F9}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>StreamDesk.Editor.Core</RootNamespace>
    <AssemblyName>StreamDesk.Editor.Core</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>$(BuildPath)</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>$(BuildPath)</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ntedevenv">
      <HintPath>$(LibraryPath)\ntedevenv.dll</HintPath>
    </Reference>
    <Reference Include="devenvapi">
      <HintPath>$(LibraryPath)\devenvapi.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="NasuTek.M3">
      <HintPath>$(StreamDeskM3LibDir)\NasuTek.M3.dll</HintPath>
    </Reference>
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AboutForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="AboutForm.designer.cs">
      <DependentUpon>AboutForm.cs</DependentUpon>
    </Compile>
    <Compile Include="AboutMenuItem.cs" />
    <Compile Include="CommonDatabaseElements.cs" />
    <Compile Include="Credits.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Credits.designer.cs">
      <DependentUpon>Credits.cs</DependentUpon>
    </Compile>
    <Compile Include="Initialize.cs" />
    <Compile Include="NewObject.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="NewObject.designer.cs">
      <DependentUpon>NewObject.cs</DependentUpon>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\SDEdit_Version.cs" />
    <Compile Include="StreamEditor.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="StreamEditor.Designer.cs">
      <DependentUpon>StreamEditor.cs</DependentUpon>
    </Compile>
    <Compile Include="XMLFormat.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="AboutForm.resx">
      <DependentUpon>AboutForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Credits.resx">
      <DependentUpon>Credits.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="NewObject.resx">
      <DependentUpon>NewObject.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="StreamEditor.resx">
      <DependentUpon>StreamEditor.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="Properties\SDEdit_Version.cs.autogen" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\sd.ico" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\sd_icon_64.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>